import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import { Employee } from './../model/employee';
import { EmployeeServiceConfig } from './../model/employee.service.config';
export declare class EmployeeService {
    private http;
    private employeeApiUrl;
    employees: Employee[];
    constructor(config: EmployeeServiceConfig, http: HttpClient);
    getEmployees(storeEmployees?: boolean): Observable<Employee[]>;
    getEmployee(sAMAccountName: string): Observable<Employee>;
}
